<!DOCTYPE html>
<html lang="es">
<%- include('../partials/head', {title : 'Lista de Usuarios' }) %>

    <body class="admin-body">
        <%- include('../components/navBar') %>

        <div class="admin">
            <div class="row">
                <%- include('../components/sideBarMenu') %>

                <main class="col-md-9 px-5">
                    <!-- Active users list -->
                    <section>
                        <div class="title-admin">
                            <h1>Usuarios activos</h1>                        
                        </div>
                            <table id="table-users" class="table table-striped dt-responsive nowrap " style="width: 100%;" >

                            <thead>
                                <tr>
                                    <!-- <th scope="col">Id</th> -->
                                    <th scope="col">Nombre</th>
                                    <th scope="col">Correo</th>
                                    <th scope="col">Rol</th>
                                    <% if(infoUserLogged.idRole === 1 ){ %>
                                        <th scope="col">Acciones</th>
                                    <% } %>
                                </tr>
                            </thead>

                            <tbody>
                                <% listUsersActives.forEach(user => { %>
                                    <tr>
                                        <!-- <th scope="row">
                                            <%= user.id %>
                                        </th> -->
                                        <td>
                                            <% if(infoUserLogged.idRole === 1) { %>
                                                <a href="/admin/<%= user.id %>/editar-usuario">
                                                    <%= user.name %>
                                                </a>
                                            <%} else {%>
                                                <%= user.name %>
                                            <%} %>
                                        </td>
                                        <td>
                                            <% if(infoUserLogged.idRole === 1) { %>
                                                <a href="/admin/<%= user.id %>/editar-usuario">
                                                    <%= user.email %>
                                                </a>
                                            <% } else { %>
                                                <%= user.email %>
                                            <%} %>
                                        </td>
                                        <td><%= user.role %></td>
                                        <% if(infoUserLogged.idRole === 1 ){ %>
                                            <td>
                                                <div class="btn-group">                                                                                                                                              
                                                        <div class="me-4">
                                                            <a href="/admin/<%= user.id %>/editar-usuario">
                                                                <button type="submit" class="btn btn-institucional">
                                                                    <i class="bi bi-pencil-square"></i>Editar
                                                                </button>
                                                            </a>
                                                        </div>
                                                    
                                                    <% if((infoUserLogged.id !== user.id)) { %>
                                                        <div class="me-4">
                                                            <form class="" action="/admin/<%= user.id %>/actualizar-estado-usuario?_method=PUT" method="post">
                                                                <button type="submit" class="btn btn-secondary">
                                                                    <i class="bi bi-person-dash"></i>
                                                                    Deshabilitar
                                                                </button>
                                                            </form>
                                                        </div>
                                                    <% } %>           
                                                </div>                                 
                                            </td>
                                        <% } %>
                                    </tr>
                                <% }) %>                            
                                
                            </tbody>
                        </table>
                    </section>

                    <!-- Inactive users list -->
                    <section>
                        <div class="title-admin">
                            <h1>Usuarios inactivos</h1>                        
                        </div>
                        <table id="table-users-inactives" class="table table-striped dt-responsive nowrap " style="width: 100%;">
                            <thead>
                                <tr>
                                    <!-- <th scope="col">Id</th> -->
                                    <th scope="col">Nombre</th>
                                    <th scope="col">Correo</th>
                                    <th scope="col">Rol</th>                               
                                    <% if(infoUserLogged.idRole === 1 ){ %>
                                        <th scope="col">Acciones</th> 
                                    <% } %>                               
                                </tr>
                            </thead>

                            <tbody>
                                <% listUsersInactives.forEach(user => { %>
                                    <tr>
                                        <!-- <th scope="row">
                                            <%= user.id %>
                                        </th> -->
                                        <td>
                                            <% if(infoUserLogged.idRole === 1) { %>
                                                <a href="/admin/<%= user.id %>/editar-usuario">
                                                    <%= user.name %>
                                                </a>
                                            <% } else { %>
                                                <%= user.name %>
                                            <%} %>
                                        </td>
                                        <td>
                                            <% if(infoUserLogged.idRole === 1) { %>
                                                <a href="/admin/<%= user.id %>/editar-usuario">
                                                    <%= user.email %>
                                                </a>
                                            <% } else { %>
                                                <%= user.email %>
                                            <%} %>
                                        </td>
                                        <td><%= user.role %></td>
                                        <% if(infoUserLogged.idRole === 1 ){ %>
                                            <td>
                                                <div class="btn-group">
                                                    
                                                    <div class="me-4">
                                                        <a href="/admin/<%= user.id %>/editar-usuario">
                                                            <button type="submit" class="btn btn-institucional">
                                                                <i class="bi bi-pencil-square"></i>Editar
                                                            </button>
                                                        </a>
                                                    </div>
                                                
                                                    <% if((infoUserLogged.id !== user.id)) { %>
                                                        <div class="me-4">
                                                            <form class="" action="/admin/<%= user.id %>/actualizar-estado-usuario?_method=PUT" method="post">
                                                                <button type="submit" class="btn btn-secondary">
                                                                    <i class="bi bi-person-check"></i>
                                                                    Habilitar
                                                                </button>
                                                            </form>
                                                        </div>
                                                        <div class="me-4">
                                                            <form class="" action="/admin/<%= user.id %>/borrar-usuario?_method=DELETE" method="post">
                                                                <button type="submit" class="btn btn-rojo">
                                                                    <i class="bi bi-trash3-fill"></i>
                                                                    Eliminar
                                                                </button>
                                                            </form>
                                                        </div>
                                                    <% } %>
                                                </div>
                                            </td>
                                        <% } %>
                                    </tr>
                                <% }) %>                            
                                
                            </tbody>
                        </table>
                    </section>
                </main>
            </div>
        </div>
        <script>
            
             document.addEventListener("DOMContentLoaded", function () {
                let tabla = new DataTable('#table-users', {
                    // responsive: true,
                    // order: [2, 'desc'],
                    "lengthMenu": [[10, 25, 50, -1], [10, 25, 50, 100]],
                    "language": {
                        searchPlaceholder: "Búsqueda",
                        paginate: {
                            first: "Primera",
                            last: "Ultima",
                            previous: "Anterior",
                            next: "Siguiente",
                        },
                        url: 'https://cdn.datatables.net/plug-ins/1.11.5/i18n/es-ES.json',
                        search: "Buscar: ",
                        processing: "Tratamiento en curso...",
                        "lengthMenu": "Mostrar _MENU_  registros",
                        "zeroRecords": "No se encontró ningún registro en el rango de fecha",
                        "info": "Mostrando registros del _PAGE_ al _PAGES_ de un total de _MAX_ registros",
                        "infoEmpty": "No hay registros disponibles",
                        "infoFiltered": "(filtrado de _MAX_ registros totales)"
                    },
                });
                let tablaInactivos = new DataTable('#table-users-inactives', {
                    responsive: true,
                    // order: [2, 'desc'],
                    "lengthMenu": [[10, 25, 50, -1], [10, 25, 50, 100]],
                    "language": {
                        searchPlaceholder: "Búsqueda",
                        paginate: {
                            first: "Primera",
                            last: "Ultima",
                            previous: "Anterior",
                            next: "Siguiente",
                        },
                        url: 'https://cdn.datatables.net/plug-ins/1.11.5/i18n/es-ES.json',
                        search: "Buscar: ",
                        processing: "Tratamiento en curso...",
                        "lengthMenu": "Mostrar _MENU_  registros",
                        "zeroRecords": "No se encontró ningún registro en el rango de fecha",
                        "info": "Mostrando registros del _PAGE_ al _PAGES_ de un total de _MAX_ registros",
                        "infoEmpty": "No hay registros disponibles",
                        "infoFiltered": "(filtrado de _MAX_ registros totales)"
                    },
                });
            })
        </script>
    </body>

</html>